> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Users in Tenant Segment

> Get users in a tenant segment by id



## OpenAPI

````yaml GET /api/segments/{id}/users
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/segments/{id}/users:
    get:
      tags:
        - Segments
      summary: Get Users in Tenant Segment
      description: Get users in a tenant segment by id
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            description: The id of the segment
          required: true
          description: The id of the segment
          name: id
          in: path
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      users:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              nullable: true
                              description: The id of the user
                            firstName:
                              type: string
                              nullable: true
                              description: The first name of the user
                            lastName:
                              type: string
                              nullable: true
                              description: The last name of the user
                            email:
                              type: string
                              nullable: true
                              description: The email of the user
                            phone:
                              type: string
                              nullable: true
                              description: The phone of the user
                            emailOptOut:
                              type: boolean
                              nullable: true
                              description: Whether the user has opted out of email
                            phoneOptOut:
                              type: boolean
                              nullable: true
                              description: Whether the user has opted out of phone
                            externalId:
                              type: string
                              nullable: true
                              description: The external id of the user
                          required:
                            - id
                            - firstName
                            - lastName
                            - email
                            - phone
                            - emailOptOut
                            - phoneOptOut
                            - externalId
                        description: The users in the segment
                    required:
                      - users
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````